Debian Bug report logs - #602110
ITP: libxc -- Library of DFT exchange-correlation functionals

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yann Pouillon <yann.pouillon@gmail.com>

Date: Mon, 1 Nov 2010 16:57:02 UTC

Owned by: debichem-devel@lists.alioth.debian.org

Severity: wishlist

Fixed in version libxc/2.0.2-1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#602110; Package wnpp. (Mon, 01 Nov 2010 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Pouillon <yann.pouillon@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 01 Nov 2010 16:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Pouillon <yann.pouillon@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libxc -- Library of DFT exchange-correlation functionals
Date: Mon, 01 Nov 2010 17:53:40 +0100
Package: wnpp
Severity: wishlist
Owner: Yann Pouillon <yann.pouillon@gmail.com>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


* Package name    : libxc
  Version         : 1.0
  Upstream Author : Miguel Marques <marques@tddft.org>
* URL             : http://www.tddft.org/programs/octopus/wiki/index.php/Libxc
* License         : LGPL
  Programming Lang: C, Fortran 90
  Description     : Library of DFT exchange-correlation functionals

Libxc is a library of exchange-correlation functionals. The aim is to 
provide a portable, well tested and reliable set of exchange and
correlation functionals that can be used by all the ETSF codes and also
other codes.
..
In libxc you can find different types of functionals: LDA, GGA,
hybrids, mGGA (experimental) and LCA (not working). This functionals
depend on local information, in the sense that the value of the
potential at a given point depends only on the values of the density -
and the gradient of the density and the kinetic energy density, for the
GGA and mGGA cases, or the vorticity for LCA - at a given point.
..
As of today, more than 100 functionals are available for various kinds
of electronic-structure calculations.

This package will be part of the Debian Science nanoscale-physics
metapackage.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJMzvCPAAoJEIMRGgSH9UMpHIwP/3frFIbz8juOtysDkl9iCtxq
4pmUjJyox64jU51MdUoi9w4Pvq+bLxspqSsWh07ia1xz62M8mX6YtgI+1uN9Ytep
pKkxhgC+yIvpshPLmBDDGSw+I8VMv1wHnI4NUfKHmFDf58UBnz9zKxvvUS31n5m0
s8YasMypk/NsRvIGrnuXFTKNYBGZ/o2Hj0dcg0xQrha0JohiQCu2CEnWqJb54xMo
tvzR7+XMnrCyxYGO3kcGT706xtw75zxldxOaYVc0jkluaCcfWG6lywoAY8q5Hou6
MscMVb0X2Hri9a2oENifTCPmpfH2JRksA1yNIs81EzGhbGkReXQz94SnCDgwHRXx
NR8mR9uP8CiXP6j4Hbmu+i8gCE3Ziq2e+4MeaK/+aK4CcmPMByzZs0NE/L+vcxW5
XrXVLC02DjfWCbdlfXFwaEpt+0jxK+D8M2TyRKmIJCNyYwlVDBvFevnvldQcTx/z
t/YHJ5EONPiYYx1gBfcN4//as5nZJ5EsQkVV6xrLN+iAHSqsaKexwHwzvbBY+Bal
YLPNmDPZmx1XzXA5khLAZ9NipJuFJpaXl3oBMYITp+jUHrRfwSoDBaTiWej4mShU
l2C/TZ1cOVEi6z4Aco+OkyS3uAepsSxYxy+D+iiR3zuGrnBTHpvxkcxTtBvgYPuY
syAKBZFDdhPQwp72s/T7
=oSk6
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yann Pouillon <yann.pouillon@gmail.com>:
Bug#602110; Package wnpp. (Mon, 01 Nov 2010 17:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yann Pouillon <yann.pouillon@gmail.com>. (Mon, 01 Nov 2010 17:09:07 GMT) Full text and rfc822 format available.

Message #10 received at 602110@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Yann Pouillon <yann.pouillon@gmail.com>, 602110@bugs.debian.org
Subject: Re: Bug#602110: ITP: libxc -- Library of DFT exchange-correlation functionals
Date: Mon, 1 Nov 2010 18:07:43 +0100
On Mon, Nov 01, 2010 at 05:53:40PM +0100, Yann Pouillon wrote:
> Libxc is a library of exchange-correlation functionals. The aim is to 
> provide a portable, well tested and reliable set of exchange and
> correlation functionals that can be used by all the ETSF codes and also
> other codes.

The library name libxc is already taken, see libxen-dev. Even if it is
currently not publicly installed.

Bastian

-- 
There is an order of things in this universe.
		-- Apollo, "Who Mourns for Adonais?" stardate 3468.1




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602110; Package wnpp. (Mon, 13 Jun 2011 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Pouillon <yann.pouillon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 13 Jun 2011 10:18:10 GMT) Full text and rfc822 format available.

Message #15 received at 602110@bugs.debian.org (full text, mbox):

From: Yann Pouillon <yann.pouillon@gmail.com>
To: 602110@bugs.debian.org
Subject: Package exists but is not registered
Date: Mon, 13 Jun 2011 12:14:56 +0200
[Message part 1 (text/plain, inline)]
A package was submitted to Debian Science by Damien Caliste, on
2010/11/24. However, a package search on all distributions still gives
me nothing.

There will soon be a new upstream version of LibXC. I'll take the
opportunity to check where the package for 1.0 ended-up.

Yann.

-- 
Free Software is good for you.
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yann Pouillon <yann.pouillon@gmail.com>:
Bug#602110; Package wnpp. (Sun, 15 Apr 2012 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ólafur Jens Sigurðsson" <ojsbug@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yann Pouillon <yann.pouillon@gmail.com>. (Sun, 15 Apr 2012 14:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 602110@bugs.debian.org (full text, mbox):

From: "Ólafur Jens Sigurðsson" <ojsbug@gmail.com>
To: 602110@bugs.debian.org, waldi@debian.org, yann.pouillon@gmail.com
Subject: renaming of package neccesery?
Date: Sun, 15 Apr 2012 14:33:05 +0000
Hi

Is the libxc renaming really neccesery? I can't see any libxc in the
xen package and apt-file search libxc | grep xen doesn't show anything.

I see a libxcb package, but no file there that is just libxc.

Cheers, Oli




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yann Pouillon <yann.pouillon@gmail.com>:
Bug#602110; Package wnpp. (Sun, 11 Nov 2012 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yann Pouillon <yann.pouillon@gmail.com>. (Sun, 11 Nov 2012 12:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 602110@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Ólafur Jens Sigurðsson <ojsbug@gmail.com>, 602110@bugs.debian.org
Cc: waldi@debian.org, yann.pouillon@gmail.com
Subject: Re: Bug#602110: renaming of package neccesery?
Date: Sun, 11 Nov 2012 12:57:44 +0100
Hi,

On Sun, Apr 15, 2012 at 02:33:05PM +0000, Ólafur Jens Sigurðsson wrote:
> Is the libxc renaming really neccesery? I can't see any libxc in the
> xen package and apt-file search libxc | grep xen doesn't show anything.

As long as libxc is not exposed by the xen package, it is fine to be
used by libxc in my opinion - after all, that library is pretty widely
used in the field these days already.


Michael



Owner changed from Yann Pouillon <yann.pouillon@gmail.com> to debichem-devel@lists.alioth.debian.org. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Sun, 28 Jul 2013 19:00:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 29 Jul 2013 20:06:09 GMT) Full text and rfc822 format available.

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 01 Sep 2013 22:03:21 GMT) Full text and rfc822 format available.

Notification sent to Yann Pouillon <yann.pouillon@gmail.com>:
Bug acknowledged by developer. (Sun, 01 Sep 2013 22:03:21 GMT) Full text and rfc822 format available.

Message #34 received at 602110-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 602110-close@bugs.debian.org
Subject: Bug#602110: fixed in libxc 2.0.2-1
Date: Sun, 01 Sep 2013 22:00:08 +0000
Source: libxc
Source-Version: 2.0.2-1

We believe that the bug you reported is fixed in the latest version of
libxc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602110@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated libxc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Jul 2013 10:57:27 +0200
Source: libxc
Binary: libxc1 libxc-dev
Architecture: source amd64
Version: 2.0.2-1
Distribution: unstable
Urgency: low
Maintainer: Michael Banck <mbanck@debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 libxc-dev  - Library of Exchange-Correlation Functionals (development files)
 libxc1     - Library of Exchange-Correlation Functionals
Closes: 602110
Changes: 
 libxc (2.0.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #602110).
Checksums-Sha1: 
 a99b8d81683a8ccc5b142c47f42188cd2c7c82e1 1325 libxc_2.0.2-1.dsc
 471de56191114f4fb4d557ec366d6978c2c1312d 1060884 libxc_2.0.2.orig.tar.gz
 96a2969a4f4aff99f7313b5372955e5ab3cd4163 3048 libxc_2.0.2-1.debian.tar.gz
 6994e78fd536e36474d8423300e615ada1e1fba8 173930 libxc1_2.0.2-1_amd64.deb
 3d0889c8cd1770a12f4c2660c9740d52660c2e14 212542 libxc-dev_2.0.2-1_amd64.deb
Checksums-Sha256: 
 4a0bb8f62801b4b3d0040922d62172010defdca8b45e4663cc811de372019615 1325 libxc_2.0.2-1.dsc
 402b0528a04d55294925558d80d03fff0f95defa3f4a6f8041d0d26857da1de5 1060884 libxc_2.0.2.orig.tar.gz
 6e5f8a3a546252b96ad1277b13ad31579bc8d55148eccae9ef0fcbe5b4b74dd4 3048 libxc_2.0.2-1.debian.tar.gz
 69da63cbb6152ed7d4305bb76f490c6babdfd5bbf7a1e339f9ebcf104b09e5de 173930 libxc1_2.0.2-1_amd64.deb
 a5dbbca2761587828af53a50ee8337ea647c1d77c0230c9ddc3dcd4093e54017 212542 libxc-dev_2.0.2-1_amd64.deb
Files: 
 74a3e539a4cc820fd8015573f4acfa45 1325 science optional libxc_2.0.2-1.dsc
 1c6509ddaaf713017715845836a070bf 1060884 science optional libxc_2.0.2.orig.tar.gz
 21642c4594911e4af2067b81f4b2c195 3048 science optional libxc_2.0.2-1.debian.tar.gz
 42929a64bed50aaa447942eefec0ca85 173930 libs optional libxc1_2.0.2-1_amd64.deb
 c117492f1deed8b12314f4b5bec0a155 212542 libdevel optional libxc-dev_2.0.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlH2NfsACgkQmHaJYZ7RAb8feQCeMKdyN9QbmQml8luLNWX39TXx
F2kAn1Zwwk6nHFMeKYQLtwSKDt6NsMZN
=tcMC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Sep 2013 07:26:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:02:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.